19 July, 2013

Metro Last Light UPDATE v1.0.0.5 Incl. Faction Pack DLC System Requirements



Metro Last Light UPDATE v1.0.0.5 Incl. Faction Pack DLC System Requirements
 
Update Notes:
  Beside the new game version, this release adds support for following DLC:
  * Metro: Last Light - Faction Pack
  Experience 3 original Metro missions as a specialist  from  the  different
  factions. Play as a Special Detachment Sniper of the  Red  Line,  a  Hanza
  Ranger, and a Reich Heavy Squad Soldier. This pack  also  includes  5  new
  deadly weapons: the Abzac, Hellbreath, Medved, C4 Grenade, and the  Silent
  Sniper Rifle.


Minimum:
Original version
OS: Windows XP (32-Bit only), Vista, 7, or 8
 Processor: Dual Core CPU (2.2+ GHz Dual Core CPU or better)
 Memory: 2GB
 Hard Disk Space:
 Video Card: DirectX 9, Shader Model 3 compliant graphics cards (GeForce 8800 GT 512 MB, GeForce GTS 250, etc)
 DirectX®: 9.0c
 Additional: Metro: Last Light utilizes NVIDIA 3D Vision with compatible cards and hardware.

Recommended:
Original version
OS: Windows 7 or 8
 Processor: Any Quad Core or 3.0+ GHz Dual Core CPU
 Memory: 2GB
 Hard Disk Space:
 Video Card: DirectX 11 compliant graphics card (GeForce GTX 480 and above)
 DirectX®: 11
 Additional: Metro: Last Light utilizes NVIDIA 3D Vision with compatible cards and hardware.
Read More ..